
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Bebas+Neue&display=swap");


@property --rotate {
  syntax: "<angle>";
  initial-value: 132deg;
  inherits: false;
}

:root {
  --event-height: 39vh;
  --event-width: calc(var(--event-height) / 0.8);
}
.events-sec{
  position:relative;
  bottom:150px;
}
.heading{
  position: relative;
  /* bottom: 10px; */
    align-items: center;
    text-align: center;
    /* margin-top: 60px; */
    color: white;
    font-size: 45px;
    /* font-family: "Bebas Neue", regular; */
    /* font-weight: 100; */
    font-family: "Poppins", sans-serif;
}
header{
  height: 310px;
}

.event {
  background: #191c29;
  width: var(--event-width);
  height: var(--event-height);
  padding: 5px;
  position: relative;
  border-radius: 6px;
  justify-content: center;
  align-items: center;
  text-align: center;
  display: flex;
  font-size: 1.5em;
  color: rgb(88 199 250 / 0%);
  cursor: pointer;
  font-family: cursive;
}

.event:hover {
  color: rgb(88 199 250 / 100%);
  transition: color 1s;
}
.event:hover:before, .event:hover:after {
  animation: none;
  opacity: 0;
}


.event::before {
  content: "";
  width: 104%;
  height: 102%;
  border-radius: 8px;
  background-image: linear-gradient(
    var(--rotate)
    , #5ddcff, #3c67e3 43%, #4e00c2);
    position: absolute;
    z-index: -1;
    top: -1%;
    left: -2%;
    animation: spin 2.5s linear infinite;
}

.event::after {
  position: absolute;
  content: "";
  top: calc(var(--event-height) / 6);
  left: 0;
  right: 0;
  z-index: -1;
  height: 100%;
  width: 100%;
  margin: 0 auto;
  transform: scale(0.8);
  filter: blur(calc(var(--event-height) / 10));
  background-image: linear-gradient(
    var(--rotate)
    , #5ddcff, #3c67e3 43%, #4e00c2);
    opacity: 1;
  transition: opacity .5s;
  animation: spin 2.5s linear infinite;
}
.event img{
  height: var(--event-height);
  width: var(--event-width)
}

.container1 {
  display: grid;
  grid-template-columns: auto;
  padding: 50px 0;
  justify-content: center;
  grid-gap: 40px 0px;
}


/*media queries for tablet*/
@media only screen and (min-width: 690px) {
  .container1 {
  display: grid;
  grid-template-columns: auto auto;
  justify-content: center;
  grid-gap: 40px 20px;
  }
}

/*media queries for tablet*/
@media only screen and (min-width: 1160px) {
  .container1 {
  display: grid;
  grid-template-columns: auto auto auto;
  justify-content: center;
  grid-gap: 80px 80px;
  }
  .events-sec{
    position:relative;
    bottom:150px;
    font-family: Poppins, sans-serif; 
  font-size: 34px; 
  font-weight: bolder;
  }
  .heading{
    margin-top: 60px;
  }
}
@media only screen and (min-width: 320px) {
  .event-sec {
  /* display: grid; */
  margin-right: 25px;
  margin-left: 15px;
  /* grid-template-columns: auto auto auto; */
  justify-content: center;
  /* grid-gap: 0px 80px; */
  }
  
}

@media only screen and (max-width: 360px){

.event{
  width: 250px;
  height: 160px;
}
.event img{
  width: 250px;
  height: 155px;
}
.event-sec{
  position: relative;
  bottom: 100px;
}


}

  



@keyframes spin {
  0% {
    --rotate: 0deg;
  }
  100% {
    --rotate: 360deg;
  }
}

/* a {
  color: #212534;
  text-decoration: none;
  font-family: sans-serif;
  font-weight: bold;
  margin-top: 2rem;
} */

.mt-05{
  /* margin-top: 0.rem; */
  border-radius: 3px;
  
}
